/**
 * 关联弹窗选择js
 */

jQuery(function($) {

	//单击选择
	$(document).on('click', '.select', function() {
		var id = $(this).data('id');
		var name = $(this).data('name');
		art.dialog.opener.setValue(name, id);
	});
	//快捷双击选择
	$(document).on('dblclick', '.select-tr', function() {
		var select = $(this).find('a.select');
		var id = select.data('id');
		var name = select.data('name');
		art.dialog.opener.setValue(name, id);
	});

	//多选用户全选
	$(document).on('click', '.checkbox-select-all', function(){
		if ($(this).is(":checked")) {
			$(this).parents('div.tab-pane').find(':checkbox').prop('checked', true);
		}
		else {
			$(this).parents('div.tab-pane').find(':checkbox').prop('checked', false);
		}
	});



});
